Microsoft Teams, Coda, Webflow, Shopify, Close.io & others not working because of obsolete Chrome version / incompatible browser / outdated Electron

📦station-v1-26-x
✅released

(Nikola Zornić) #41

Unfortunately, problem persists with Coda.


(Mark Lenhardt) #42

Yep, issue with coda still exists in Station 1.13.1


(Jean Baptiste Ronssin) #43

Hey @Georges ! It was working with your last version but with 1.13.0 & 1.13.1 it’s broken again (coda.io)
Thanks !


(Lauren Ulmer) #44

Browser is still showing as outdated for me. I’ve restarted Station many times but looks like the Station Chrome browser is outdated.


(Georges Abi-Heila) #45

@Lauren_U it seems you’re using an old version of Station.

Uninstalling your Station and downloading the latest version directly from our website (getstation.com) should solve your issue.


(Nigel Ellis) #46

Hi folks, any movement on this topic? I run the engineering team at Coda and we’re getting customers hitting this compatibility issue. I’d request that you either remove Coda from Station (not my first choice) or ensure you move to the latest Electron builds to address this issue.

Thanks,
Nigel.


(Alexandre Lacheze) #47

Hi @nigel, with the help of your support we are testing tweaking the user-agent. We’ll remove Coda if that does not work as expected.

Thanks for reaching out!


(Jason Deland) #48

I am on 1.14 and Teams still wants me to download Chrome


(Jason Deland) #49

I logged out of MS Teams, removed the app, restarted Station - than after adding Teams again I was able to get it working.


(Courtney Dorward) #50

Hi Team

I can see this thread is old and still no solution for Webflow. Webflow is my main design site and seeing it in the list got me excited however, now I see it doesn’t work defeated the purpose of Station for me.

Can you please give a timeline or estimated drop for when this bug fix will be in place?

Many Thanks
Courtney


(Farhad) #51

The issue I’m facing is that certain features of Outlook work in Chrome but not in Station.
Is it possible to change the user agent sent by station?


(Chinara James) #52

Stationversion 1.14.1
Electron2.0.0

Chrome61.0.3163.100


(Georges Abi-Heila) #53

Hey everyone :wave:

This should be fixed in Station’s version 1.15.
Could you update your Station then remove / re-add the concerned app and tell us if it’s been solved for you?

To update, just open the preferences (from the top bar menu) and click the “Check for updates” button on the right.


(Jared Wasdin) #54

When attempting to add my work Slack account, it routed to my company’s SSO auth, which was expected. However, when trying to connect it errors out saying that the Chrome version required is “Latest” and the current version is 10 months old. My local version of Chrome is latest, so this is what makes me assume it is the embedded Chrome version that is causing the error. I don’t think I am able to manually update the embedded browser version. See the included image.

21%20AM

Please advise if there is a workaround, or if the next version can upgrade the Chrome version.

Thanks!
JW


(Jake Savin) #55

:writing_hand:Brief description of the issue

My problem is that …


:warning:Mandatory details

  • :gun: Trigger
    Add Microsoft Teams to Station and try to use it

  • :boom: Issue
    On my MacBook Pro running macOS 10.12.6 and Station 1.22.0, I cannot use Microsoft Teams because the detected browser version isn’t supported, even though it works fine on my other machine (also a MacBook Pro) which is running High Sierra.

  • :movie_camera: Explanatory gifs/pictures
    image
    image
    image

  • :desktop_computer: OS version
    macOS 10.12.6

  • :gear:Station version
    1.22.0


(Mark Lenhardt) #56

I updated Station to 1.13.0, now Coda won’t work at all.

I get this error:


Unable to open docs in coda.io
(Vijay Raghavan Aravamudhan) #57

:writing_hand: Brief description of the issue

My problem is that Electron (older versions) are known to have security vulnerabilities. The latest version of Station is based on Electron 2.0.2. When can we expect a new version of Station based on Electron 3.x?


:warning: Mandatory details

  • :gun: Trigger

  • :boom: Issue

  • :movie_camera: Explanatory gifs/pictures

  • :desktop_computer: OS version
    OSX 10.13.6 (High Sierra)

  • :gear: Station version
    Station version 1.25.1
    Electron: 2.0.2
    Chrome: 61.0.3163.100
    Node: 8.9.3
    v86.1.534.41
    @getstation/services: 0.22.1


(Georges Abi-Heila) #58

Hey @avijayr, @mlenhardt, @jsavin, @Jared_Wasdin, @cjwd, @Farhad, @Courtney_Dorward, @Jason_Deland, @nigel, @Lauren_U, @Jean-Baptiste_Ronssi, @NikolaZornic, @jgattuso3, @tobymorrison, @moramedia, @klitt, @Trevor_Rawls, @Remi_Bungert :wave:

Station’s latest release (1.26.0) relies on Electron 3.0 which embeds Chrome 66 thus solving most of the “outdated Chrome” issues. Please update your Stations and tell us how it goes.

Note that for now, Coda is not available in the app-store but it will be at the next release.

Thanks for your patience.


(Jake Savin) #59

Initially I was not able to (re-)add the Microsoft Teams app. It continued to display their unsupported browser message. I was able however to navigate to Teams from Outlook, and load it properly. Once I had done this, I was then able to successfully add the Microsoft Teams app in Station, and have it load without an error message.

Just guessing here, but it seems that when I had removed the app, some data stayed around which somehow prevented me from adding the app.

Thanks,
-Jake


(Mark Lenhardt) #60

Thanks @Georges I could finally open Coda.io, but I cannot open any document, because Station tried to open those link in another window “_blank”. The new window itself is empty.

I have Station v1.27.1 installed.

Should I open a new bug report on this?